Debian Bug report logs - #708549
ITA: python-roman -- Python module for generating/analyzing Roman numerals

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Thu, 16 May 2013 15:30:01 UTC

Owned by: Andrea Colangelo <warp10@ubuntu.com>

Severity: normal

Fixed in version python-roman/2.0.0-1

Done: Andrea Colangelo <warp10@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, wnpp@debian.org:
Bug#708549; Package wnpp. (Thu, 16 May 2013 15:30:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: python-roman -- module for generating/analyzing Roman numerals for Python 2
Date: Thu, 16 May 2013 17:27:32 +0200
Package: wnpp
Severity: normal

I request an adopter for the python-roman package.

The package description is:
>This module converts from and to Roman numerals. It can convert numbers 
>from 1 to 4999 and understands the common shortcuts (IX == 9), but not 
>illegal ones (MIM == 1999).
>
>This package includes Python 2 modules.

-- 
Jakub Wilk



Changed Bug title to 'RFA: python-roman -- Python module for generating/analyzing Roman numerals' from 'RFA: python-roman -- module for generating/analyzing Roman numerals for Python 2' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 17 May 2013 07:12:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: python-roman -- Python module for generating/analyzing Roman numerals' from 'RFA: python-roman -- Python module for generating/analyzing Roman numerals' Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Sat, 15 Jun 2013 10:36:09 GMT) Full text and rfc822 format available.

Owner recorded as Andrea Colangelo <warp10@ubuntu.com>. Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Sat, 15 Jun 2013 10:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrea Colangelo <warp10@ubuntu.com>:
Bug#708549; Package wnpp. (Sat, 15 Jun 2013 11:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrea Colangelo <warp10@ubuntu.com>. (Sat, 15 Jun 2013 11:39:04 GMT) Full text and rfc822 format available.

Message #14 received at 708549@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 708549@bugs.debian.org
Subject: Re: ITA: python-roman -- Python module for generating/analyzing Roman numerals
Date: Sat, 15 Jun 2013 13:36:41 +0200
Hi Andrea!

If a package is RFA-ed, the maintainer retains all the usual privileges, 
including the right to decide who will take over the package (if 
anyone).

* Andrea Colangelo <warp10@ubuntu.com>, 2013-06-15, 12:32:
>retitle 708549 ITA: python-roman -- Python module for generating/analyzing Roman numerals
>owner 708549 !

So, have you talked to the current maintainer before doing this?

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#708549; Package wnpp. (Sat, 15 Jun 2013 14:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Colangelo <warp10@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 15 Jun 2013 14:30:09 GMT) Full text and rfc822 format available.

Message #19 received at 708549@bugs.debian.org (full text, mbox):

From: Andrea Colangelo <warp10@ubuntu.com>
To: Jakub Wilk <jwilk@debian.org>, 708549@bugs.debian.org
Subject: Re: Bug#708549: ITA: python-roman -- Python module for generating/analyzing Roman numerals
Date: Sat, 15 Jun 2013 16:27:14 +0200
[Message part 1 (text/plain, inline)]
retitle 708549  RFA: python-roman -- Python module for generating/analyzing Roman numerals
noowner 708549
thanks


Hi Jakub!

On Sat, Jun 15, 2013 at 01:36:41PM +0200, Jakub Wilk wrote:
> If a package is RFA-ed, the maintainer retains all the usual
> privileges, including the right to decide who will take over the
> package (if anyone).

I'm sorry, I thought the RFA could be enough to switch maintainer. My apologies
for seeming rude.

BTW, I reverted the bug status to a RFA. Of course, I'm still interested in
adopting this package. What's your mind about that?

Regards,
Andrea.


[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFA: python-roman -- Python module for generating/analyzing Roman numerals' from 'ITA: python-roman -- Python module for generating/analyzing Roman numerals' Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Sat, 15 Jun 2013 14:30:12 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Andrea Colangelo <warp10@ubuntu.com>. Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Sat, 15 Jun 2013 14:30:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#708549; Package wnpp. (Mon, 17 Jun 2013 11:24:09 GMT) Full text and rfc822 format available.

Message #26 received at 708549@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Andrea Colangelo <warp10@ubuntu.com>, 708549@bugs.debian.org
Subject: Re: Bug#708549: ITA: python-roman -- Python module for generating/analyzing Roman numerals
Date: Mon, 17 Jun 2013 13:20:18 +0200
* Andrea Colangelo <warp10@ubuntu.com>, 2013-06-15, 16:27:
>I'm sorry, I thought the RFA could be enough to switch maintainer. My 
>apologies for seeming rude.

Apologies accepted. :)

>I'm still interested in adopting this package. What's your mind about 
>that?

Please go ahead. However, I'd like the package to remain under the 
Python Modules Packaging Team umbrella.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#708549; Package wnpp. (Tue, 18 Jun 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Colangelo <warp10@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 18 Jun 2013 10:09:04 GMT) Full text and rfc822 format available.

Message #31 received at 708549@bugs.debian.org (full text, mbox):

From: Andrea Colangelo <warp10@ubuntu.com>
To: Jakub Wilk <jwilk@debian.org>
Cc: 708549@bugs.debian.org, control@bugs.debian.org
Subject: ITA: python-roman -- Python module for generating/analyzing Roman numerals
Date: Tue, 18 Jun 2013 12:07:14 +0200
[Message part 1 (text/plain, inline)]
retitle 708549 ITA: python-roman -- Python module for generating/analyzing Roman numerals
owner 708549 !
thanks


On Mon, Jun 17, 2013 at 01:20:18PM +0200, Jakub Wilk wrote:
> * Andrea Colangelo <warp10@ubuntu.com>, 2013-06-15, 16:27:
> >I'm still interested in adopting this package. What's your mind
> >about that?
> 
> Please go ahead. However, I'd like the package to remain under the
> Python Modules Packaging Team umbrella.

That was my mind too, no probs about that.

Thank you,
Andrea.

-- 
Andrea Colangelo                     |   http://andreacolangelo.com
Ubuntu Developer  <www.ubuntu.com>   |   Debian Maintainer  <www.debian.org>
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: python-roman -- Python module for generating/analyzing Roman numerals' from 'RFA: python-roman -- Python module for generating/analyzing Roman numerals' Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Tue, 18 Jun 2013 10:09:07 GMT) Full text and rfc822 format available.

Owner recorded as Andrea Colangelo <warp10@ubuntu.com>. Request was from Andrea Colangelo <warp10@ubuntu.com> to control@bugs.debian.org. (Tue, 18 Jun 2013 10:09:07 GMT) Full text and rfc822 format available.

Reply sent to Andrea Colangelo <warp10@debian.org>:
You have taken responsibility. (Sat, 28 Dec 2013 09:51:06 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 28 Dec 2013 09:51:06 GMT) Full text and rfc822 format available.

Message #40 received at 708549-close@bugs.debian.org (full text, mbox):

From: Andrea Colangelo <warp10@debian.org>
To: 708549-close@bugs.debian.org
Subject: Bug#708549: fixed in python-roman 2.0.0-1
Date: Sat, 28 Dec 2013 09:50:06 +0000
Source: python-roman
Source-Version: 2.0.0-1

We believe that the bug you reported is fixed in the latest version of
python-roman, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708549@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrea Colangelo <warp10@debian.org> (supplier of updated python-roman package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Dec 2013 10:24:33 +0100
Source: python-roman
Binary: python-roman python3-roman
Architecture: source all
Version: 2.0.0-1
Distribution: unstable
Urgency: medium
Maintainer: Andrea Colangelo <warp10@debian.org>
Changed-By: Andrea Colangelo <warp10@debian.org>
Description: 
 python-roman - module for generating/analyzing Roman numerals for Python 2
 python3-roman - module for generating/analyzing Roman numerals for Python 3
Closes: 708549
Changes: 
 python-roman (2.0.0-1) unstable; urgency=medium
 .
   * New upstream release.
   * New maintainer. (Closes: #708549)
   * debian/patches/*: refresh.
   * debian/control:
     + add "XS-Testsuite: autopkgtest".
     + bump Standards-Version to 3.9.5.
   * debian/copyright: update to DEP-5.
   * debian/watch: update, upstream now uses .zip files.
   * Convert to dh_python2.
Checksums-Sha1: 
 c351724ce374d4cc5efe078814ea61bd7107d97e 2135 python-roman_2.0.0-1.dsc
 97c7dea9eed44acb1749f99df3ea3e8a67c619ca 4968 python-roman_2.0.0.orig.tar.gz
 86d6855a1f3249a511668ffae704b6ce9cc882ae 8569 python-roman_2.0.0-1.debian.tar.gz
 540ff3a7785d2e97c5b565931ce45045b106ec10 7898 python-roman_2.0.0-1_all.deb
 195a1930d9ea933d41930dc89230070137a9ed94 7948 python3-roman_2.0.0-1_all.deb
Checksums-Sha256: 
 9172299b91e04542ad9aa3db1977a7dfa0ac949b27fe83bd720cd571c218348e 2135 python-roman_2.0.0-1.dsc
 98f2c0fb3cdcfba465d12c85b3b7139fc4cd2177f1325f1bacfe00878c8fa7b9 4968 python-roman_2.0.0.orig.tar.gz
 55aba5a6469152a09a320ec745cff799a4a07774d0c79598880a22b72e686296 8569 python-roman_2.0.0-1.debian.tar.gz
 1394691bf63d4de2b27fc858a0408ee68db5ccffb89d92da1942f89e8f89a8be 7898 python-roman_2.0.0-1_all.deb
 2c45d123a238ea1c682261f889a572810ca438b6d5b58d1d2477547a97bbbeab 7948 python3-roman_2.0.0-1_all.deb
Files: 
 55083a4855dcfd2eac23502f69b2efa2 2135 python optional python-roman_2.0.0-1.dsc
 6f4c6b7d791b57ba454154fdb0d80062 4968 python optional python-roman_2.0.0.orig.tar.gz
 fa54319fe13b0097cd37d1c4d1095b40 8569 python optional python-roman_2.0.0-1.debian.tar.gz
 a7b77b7225bec220ab20b712c3a3eb72 7898 python optional python-roman_2.0.0-1_all.deb
 04d908a0b86b2fbda7f023965f96d2a0 7948 python optional python3-roman_2.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBAgAGBQJSvpw5AAoJECcT5nkIRlGv72QQALFaBf1d9C1ComA4vvx/nvMY
diNksY5wNfKrR63JjoPTgnHqzIhqt7AhPXr2HWDTV+FESTai4TojBQPGqqir5+5B
uG4f3wU/DsDN9fmDJOOSOigCIYLsMeFpxH9azQaAXOS/D6RUu0QRZ6epPX0EyxnO
sBSWX4YPhcQVHWzWfQkGZ1BXADQKRExaW34GFSnVOb+lvh/zJoNUz0Gu6BJizzcN
lELhlWMc5Jirp/HAYqyU8kGbEMtBHtzSLDug7xt+lv3v6i5ug5WLaSdSG25ChZUx
MW7YXiDPpg+RP0dGrI1/1DyXag3Hyb1qPLjnEy+P+chIF3LafnmtaK/ujhVE2Nrn
gQPy8FYPmuRGgwJj0BAOCGOE7bXTrX9qMuLcKXuBklGJ2RA8s7h2rbCSK1ESlvbl
PDMx0jfmUg0ACX9Xc143eihxEzVC1XGqy/Z9PRgQ91hhNOm5iemttB2HMkYKLS3O
quZG35YYAQy4Qlr1M6VvnihJ9nnIUpybEe9uVaGZU688TtpMdlkJbpSuCT0dJjVm
C4o0s7j3c0OI0yRLxDK770Aa4foMkTZh66K3m/jqYiqb/8SvbndNNmcZw8LEPN8Q
k0wI//WYTUphmk26yGyJl0jTXREap9AiGKCe+iPSlbq+Ndki+kOtulhB4I1pp4MO
Ise/haga/b4v31oRG12a
=yRYl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jan 2014 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:19:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.